<?php
if (!defined('HUCART_COM')) exit('HuCart.COM No direct script access allowed');
class Employ extends HC_Controller
{
	//注意无须构造函数,使用了构造函数得重构父类 parent::__construct();
	var $master_act = 'employ';
	var $info_prefix = 'eml_';
	function __construct()
	{
		parent::__construct();	
		$this -> load_lang('adminsys/'.$this -> master_act);
		$this -> view -> assign('master_act', $this -> master_act);
		$this -> view -> assign('info_prefix',	$this -> info_prefix);
		$this -> load('admin');
		$this -> admin -> online_admin();
		$this -> load_db();
		$this -> load('helper');     //加载辅助类
		$this -> load_model('sort'); //加载分类模型
	}


	function info_list(  )
	{
		$keyword 	= $this -> input -> req["keyword"];
		$list_val   = $this -> input -> req["list_val"];
		$list_type  = $this -> input -> req["list_type"];

		$table_arr['where_add'] = '';

		if($keyword!='')
		{ 	
			$table_arr['where_add'] .= " AND ( eml_position LIKE  '%".$keyword."%' )";  
		}
		

		$table_arr['order_by']  = 'eml_id';
		if($list_val!='' and $list_type =='DESC' )
		{
			$table_arr['order_by'] = $list_val ."  DESC ";
		}elseif($list_val!='' and $list_type =='ASC')
		{
			$table_arr['order_by'] = $list_val." ASC";
		}else{
			$table_arr['order_by'] =  'eml_id';
		}

		$this -> load('page',$this->lang['page']);

		//列表字段显示
		$show_arr = array('eml_id' => array('th'=>1,'td'=>'id'),'eml_position'=> array('th'=>0,'td'=>''),'eml_name'=> array('th'=>0,'td'=>''),'eml_sex'=> array('th'=>1,'td'=>'arr'),'eml_year'=> array('th'=>1,'td'=>'arr'),'eml_educational'=>array('th'=>1,'td'=>'arr'),'eml_phone'=>array('th'=>1,'td'=>''),'eml_birthday'=>array('th'=>1,'td'=>'date'),'eml_school'=>array('th'=>1,'td'=>''));
		
		$field_show = $this -> helper -> get_th_list( $show_arr , $list_val , $list_type ,  $this->lang['field_list'] );

		$table_arr['table']		= $this -> master_act;
 	
		$table_arr['prefix'] 	= $this -> db -> prefix;
		$table_arr['field_arr'] = array_keys($show_arr);
		$table_arr['def_where'] = 'eml_delete =0';
		$table_arr['group_by']  = '';
		$table_arr['limit_val'] = $this -> page ->get_limit_val();
		
		$re_sql   = $this -> helper -> get_list_sql( $table_arr );

		//var_dump($re_sql);
		
		$info 	  = $this -> db -> select_info( $re_sql['sql_list'] );
		
		$key_arr['eml_year'] = $this->lang['eml_year_arr'];
		$key_arr['eml_sex'] 		= $this->lang['eml_sex_arr'];
		$key_arr['eml_educational'] 		= $this->lang['eml_educational_arr'];

 

		$opt = array( 'edit'=> $this->lang['edit'],'delete'=> $this->lang['delete']);

		$td_rows  = $this -> helper -> get_td_list( $info , $show_arr ,$key_arr , $this -> master_act ,$opt);
		
		$count 	  = $this -> db -> select_one( $re_sql['sql_count'] );

		$page_str = $this -> page ->get_admin_page( $count["CNUM"] );
		
		$this -> view -> assign('keyword',		$keyword);

		$this -> view -> assign('list_val',		$list_val);
		$this -> view -> assign('list_type',	$list_type);
		
		$this -> view -> assign('colspan_val',	count($show_arr)+1);
		$this -> view -> assign('field_show',	$field_show);
		$this -> view -> assign('page_str',		$page_str);
		$this -> view -> assign('td_rows',		$td_rows);


		$this -> view -> display('table_list.tpl');


	}
	
	
	
	function trash_list()
	{
		$keyword 	= $this -> input -> req["keyword"];
		$list_val   = $this -> input -> req["list_val"];
		$list_type  = $this -> input -> req["list_type"];

		$table_arr['where_add'] = '';

		if($keyword!='')
		{ 	
			$table_arr['where_add'] .= " AND ( eml_position LIKE  '%".$keyword."%' )";  
		}
		

		$table_arr['order_by']  = 'eml_id';
		if($list_val!='' and $list_type =='DESC' )
		{
			$table_arr['order_by'] = $list_val ."  DESC ";
		}elseif($list_val!='' and $list_type =='ASC')
		{
			$table_arr['order_by'] = $list_val." ASC";
		}else{
			$table_arr['order_by'] =  'eml_id';
		}

		$this -> load('page',$this->lang['page']);

		//列表字段显示
		//列表字段显示
		$show_arr = array('eml_id' => array('th'=>1,'td'=>'id'),'eml_position'=> array('th'=>0,'td'=>''),'eml_birthday'=> array('th'=>0,'td'=>'img'),'sort_name'=> array('th'=>1,'td'=>''),'eml_view'=> array('th'=>1,'td'=>''),'eml_count'=>array('th'=>1,'td'=>''),'eml_school'=>array('th'=>1,'td'=>'arr'),'eml_up_time'=>array('th'=>1,'td'=>'time'));
		
		
		$field_show = $this -> helper -> get_th_list( $show_arr , $list_val , $list_type ,  $this->lang['field_list'] );

		$table_arr['table']				= $this -> master_act;
 
		$table_arr['prefix'] 	= $this -> db -> prefix;
		$table_arr['field_arr'] = array_keys($show_arr);
		$table_arr['def_where'] = 'eml_delete =1';
		$table_arr['group_by']  = '';
		$table_arr['limit_val'] = $this -> page ->get_limit_val();
		
		$re_sql   = $this -> helper -> get_list_sql( $table_arr );

		//var_dump($re_sql);
		
		$info 	  = $this -> db -> select_info( $re_sql['sql_list'] );
		
		$key_arr['eml_school'] = $this->lang['enabled_arr'];

		$lang_arr['edit'] 		= $this->lang['edit'];
		$lang_arr['is_delete']  = $this->lang['is_delete'];
		$lang_arr['delete'] 	= $this->lang['delete'];
		$lang_arr['restore'] 	= $this->lang['restore'];

		$td_rows  = $this -> helper -> get_td_list( $info , $show_arr ,$key_arr ,$lang_arr ,$this -> master_act , 'trash');
		
		$count 	  = $this -> db -> select_one( $re_sql['sql_count'] );

		$page_str = $this -> page ->get_admin_page( $count["CNUM"] );
		
		$this -> view -> assign('keyword',		$keyword);
		
		$this -> view -> assign('list_val',		$list_val);
		$this -> view -> assign('list_type',	$list_type);
		
		$this -> view -> assign('colspan_val',	count($show_arr)+1);
		$this -> view -> assign('field_show',	$field_show);
		$this -> view -> assign('page_str',		$page_str);
		$this -> view -> assign('td_rows',		$td_rows);
		$this -> view -> display('table_trash.tpl');
		
	}


	function recycle()
	{
		
		$info_id = $infoid = $this -> input ->  get["id"];
		
		$uprec = " UPDATE `".$this -> db -> prefix.$this -> master_act."` SET eml_delete = 1  WHERE  `eml_id` in ( $info_id ) ";
		$this -> db -> query_sql($uprec);
		
		$this -> view ->  assign('info_title',$this->lang['del_success']);
		$this -> view ->  assign('URL_TIME',URL_TIME);
		$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info_list");
		$this -> view ->  display('suggestion.tpl');

	}
	
	//还原
	function restore( )
	{
		$infoid = $this -> input ->  delUrl($_REQUEST["id"]);
		
		$uprec = " UPDATE `".$this -> db -> prefix.$this -> master_act."` SET eml_delete = 0  WHERE  `eml_id` in ( $infoid ) ";
		@$this -> db -> query_sql($uprec);
		
		$this -> view ->  assign('info_title',$_LANG['bd_restoresusse']);
		$this -> view ->  assign('URL_TIME',URL_TIME);
		$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=trash_list");
		$this -> view ->  display('suggestion.tpl');
	}
	

	function delete( )
	{
		$info_id   = $this -> input ->  get["id"];
		$insert_ip = " DELETE FROM `".$this -> db -> prefix.$this -> master_act."` WHERE `eml_id` in ( $info_id ) ";

		$this -> db -> query_sql($insert_ip);
		$this -> view ->  assign('info_title',$this->lang['del_success']);
		$this -> view ->  assign('URL_TIME',URL_TIME);
		$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=trash_list");
		$this -> view ->  display('suggestion.tpl');
	}
	
	
	function show( )
	{
		$info_id = $this -> input ->  get["id"];
		$upshow = " UPDATE `".$this -> db -> prefix.$this -> master_act."` SET eml_school = 1  WHERE `eml_id` in ( $info_id ) ";

		$this -> db -> query_sql($upshow);
		$this -> view ->  assign('info_title',$_LANG['bd_showsusse']);
		$this -> view ->  assign('URL_TIME',URL_TIME);
		$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info_list");
		$this -> view ->  display('suggestion.tpl');
	}
	
	function hide( )
	{
		//$indel = implode(',', $delArray);
		$info_id = $this -> input ->  get["id"];
		
		$up_hide = " UPDATE `".$this -> db -> prefix.$this -> master_act."` SET eml_school = 0  WHERE  `eml_id` in ( $info_id ) ";
		$this -> db -> query_sql($up_hide);
		
		$this -> view ->  assign('info_title',$_LANG['bd_hidesusse']);
		$this -> view ->  assign('URL_TIME',URL_TIME);
		$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info_list");
		$this -> view ->  display('suggestion.tpl');
	}



	
	function info(  )
	{
		$act_type 	= $this -> input -> get["act_type"];
		
		if($act_type=='edit'){
			
			$id_val = $this -> input ->  get["id"];

			$sql_query = " SELECT *  FROM  ".$this -> db -> prefix.$this -> master_act."  WHERE eml_id = '".$id_val."' ORDER BY `eml_id` ";
			$info = $this -> db -> select_one($sql_query);
			
			$resume_ckeditorLoad 	= $this -> helper -> load_ckeditor( 'eml_resume' ,$info['eml_resume'],'Basic');//加载文本编辑器
			$this -> view -> assign( 'resume_ckeditorLoad', $resume_ckeditorLoad);
			
			$this -> view -> assign('txt_title',  $this->lang['edit_title']);
			$this -> view -> assign('edit_submit', $this->lang['edit']);
			$this -> view -> assign('info',$info);
			$this -> view -> assign('act_type',$act_type);
			$this -> view -> assign('sort_select_str',$sort_select_str);
			$this -> view -> assign('act_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=edit_info&act_type=edit");
			
			
		}else{

			$resume_ckeditorLoad 	= $this -> helper -> load_ckeditor( 'eml_resume' ,'','Basic');//加载文本编辑器
			$this -> view -> assign( 'resume_ckeditorLoad', $resume_ckeditorLoad);

			$this -> view -> assign('act_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=edit_info&act_type=add");
			
			$this -> view -> assign('act_type',$act_type);
			$this -> view -> assign('txt_title',$this->lang['add_title']);
			$this -> view -> assign('edit_submit', $this-> lang['add']);
			
		}

		$this -> view ->  display('employ_edit.tpl');
	
	}
	
	
	function edit_info( )
	{	
	
		$eml_id 			= $this -> input ->  funpost("eml_id");
		$eml_position 		= $this -> input ->  funpost("eml_position");
		$eml_name 			= $this -> input ->  funpost("eml_name");
		$eml_sex 			= $this -> input ->  funpost("eml_sex");
		$eml_native 		= $this -> input ->  funpost("eml_native");
		$eml_educational 	= $this -> input ->  funpost("eml_educational");
		$eml_school 		= $this -> input ->  funpost("eml_school");
	    $eml_birthday 		= $this -> input ->  funpost("eml_birthday");
		$eml_birthday 	= strtotime($eml_birthday);
		$eml_phone 			= $this -> input ->  funpost("eml_phone");
		$eml_start_work 	= $this -> input ->  funpost("eml_start_work");
		$eml_email 			= $this -> input ->  funpost("eml_email");	
		$eml_marriage		= $this -> input ->  funpost("eml_marriage");
		$eml_subject 		= $this -> input ->  funpost("eml_subject");
		$eml_enclosure_file = $this -> input ->  funpost("eml_enclosure_file");
		$eml_enclosure_say 	= $this -> input ->  funpost("eml_enclosure_say");
		$eml_year 	= $this -> input ->  funpost("eml_year");
		

		$eml_resume 		= html_entity_decode($_POST["eml_resume"]);

		

		
		$act_type = $this -> input ->  req["act_type"];


		
		if($act_type=='edit')
		{

		
			if($eml_position !='' and $eml_native !='' and $eml_sex !=''  and $eml_id !='')
			{
				$update = "UPDATE `".$this -> db -> prefix.$this -> master_act."` 
				SET  eml_position = '".$eml_position."' ,  eml_name = '".$eml_name."' ,eml_sex = '".$eml_sex."' , eml_native = '".$eml_native."' , 
				eml_sex = '".$eml_sex."', eml_phone = '".$eml_phone."', eml_phone = '".$eml_phone."',eml_school = '".$eml_school."',
				eml_educational = '".$eml_educational."',eml_school = '".$eml_school."',eml_birthday = '".$eml_birthday."',
				eml_phone = '".$eml_phone."',eml_start_work = '".$eml_start_work."',eml_email = '".$eml_email."',
				eml_marriage = '".$eml_marriage."',eml_subject = '".$eml_subject."',eml_enclosure_file = '".$eml_enclosure_file."',
				eml_enclosure_say = '".$eml_enclosure_say."', eml_resume = '".$eml_resume."', eml_year = '".$eml_year."' 	WHERE  eml_id = '".$eml_id."' ";
				
				
				$this -> db -> query_sql( $update );
				
				$this -> view ->  assign('info_title',$this->lang['edit_success']);
				$this -> view ->  assign('URL_TIME',URL_TIME);
				$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info_list");
				$this -> view ->  display('suggestion.tpl');
	
		
			}else{
			
				$this -> view ->  assign('info_title',$this->lang['err_info_missing']);
				$this -> view ->  assign('URL_TIME',URL_TIME);
				$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info&id=".$eml_id);
				$this -> view ->  display('suggestion.tpl');	
			}
		

		}else{
			
				if($eml_position !='' and $eml_native !='' and $eml_sex !='')
				{
					$sql_query = " SELECT count(1) as LNUM  FROM  ".$this -> db -> prefix.$this -> master_act."  WHERE eml_position = '".$eml_position."' ORDER BY `eml_id` ";
					$info = $this -> db -> select_one($sql_query);


					if( $info["LNUM"] < 1 )
					{
 
						
						$insert_sql =" INSERT INTO `".$this -> db -> prefix.$this -> master_act."` (
						`eml_position` , `eml_name` ,`eml_sex` , `eml_native` , `eml_educational`, `eml_school` ,`eml_year`, `eml_birthday` ,
						`eml_phone` , `eml_start_work`,`eml_email`,`eml_marriage`,`eml_subject`,
						`eml_enclosure_file`,`eml_enclosure_say`,`eml_resume` ) 
						VALUES ( '$eml_position','$eml_name', '$eml_sex','$eml_native','$eml_educational', '$eml_school','$eml_year','$eml_birthday',
						'$eml_phone', '$eml_start_work','$eml_email','$eml_marriage','$eml_subject'
						,'$eml_enclosure_file','$eml_enclosure_say','$eml_resume')";
						
						$this -> db -> query_sql($insert_sql);
						$this -> view ->  assign('info_title',$this->lang['add_success']);
						$this -> view ->  assign('URL_TIME',URL_TIME);
						$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info_list");
						$this -> view ->  display('suggestion.tpl');	
					}else{
						
						$this -> view ->  assign('info_title',$this->lang['err_info_exist']);
						$this -> view ->  assign('URL_TIME',URL_TIME);
						$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info&act_type=add");
						$this -> view ->  display('suggestion.tpl');	
					}
					
				}else{
					
					$this -> view ->  assign('info_title',$this->lang['err_info_missing']);
					$this -> view ->  assign('URL_TIME',URL_TIME);
					$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info&act_type=add");
					$this -> view ->  display('suggestion.tpl');
				}
		}
		
	}




		
}